Retrieve a list

Returns a list of job categories.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/job-categories

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-job-categories.read

Response properties

Field Type Required Writable Description
changeVersion string Read-only Property to indicate the order of changes.
id integer Read-only Unique identifier for the job category.
name.default string Yes Yes Default name of the job category.
name.translations object No Yes Translated names for supported languages.
externalCode string No Yes External code for the job category.

Pagination

This endpoint supports pagination via continuationToken. The response includes a nextLink field when more results are available. Pass the continuationToken value as a query parameter to retrieve the next page.

Filters

This endpoint does not support any filter parameters. It returns all job categories in the system.

External references

This endpoint does not support external references on the list endpoint.

Error responses

Status Condition
401 Missing or invalid access token, or insufficient scope
414 Request URI too long (continuation token)

Examples

Retrieve all job categories

GET /connector/protimeapi/api/v1/job-categories HTTP/1.1
Host: <tenant>.myprotime.eu
Authorization: Bearer {token}
User-Agent: {agent}
{
  "value": [
    {
      "changeVersion": "0001E7C5000098FA0013",
      "id": 176,
      "name": {
        "default": "Blue collar worker",
        "translations": {
          "en-GB": "Blue collar worker",
          "fr-FR": "Ouvrier"
        }
      },
      "externalCode": "PayRollCode123"
    },
    {
      "changeVersion": "0001E7C5000098FA0014",
      "id": 177,
      "name": {
        "default": "White collar worker",
        "translations": {
          "en-GB": "White collar worker",
          "nl-NL": "Bediende"
        }
      },
      "externalCode": "PayRollCode456"
    }
  ],
  "nextLink": "/connector/protimeapi/api/v1/job-categories?continuationToken=W3siVGFibGVBbGlhcyI6InEiLCJGaWVsZCI6IkNPVU5URVIiLCJWYWx1ZSI6Mjg0OH1d"
}